package saccubus.worker.impl.download;

import java.io.File;
import org.apache.commons.lang.builder.ToStringBuilder;

/**
 *
 * @author yuki
 */
public class DownloadResult {

    private final boolean resultValue;
    private final File downloadVideo;
    private final File downloadComment;

    DownloadResult(boolean b, File downloadVideo, File downloadComment) {
        this.resultValue = b;
        this.downloadVideo = downloadVideo;
        this.downloadComment = downloadComment;
    }

    public boolean getResultValue() {
        return resultValue;
    }

    public File getDownloadComment() {
        return downloadComment;
    }

    public File getDownloadVideo() {
        return downloadVideo;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }
}
